TorsionAngleM6.h File Reference
`#include <RDGeneral/export.h>`
`#include <ForceField/Contrib.h>`
`#include <boost/tuple/tuple.hpp>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | ForceFields::CrystalFF::TorsionAngleContribM6
| the torsion term for multiplicity m = 1 - 6 More...

## Namespaces

| RDGeom
| ForceFields
| ForceFields::CrystalFF

## Functions

RDKIT_FORCEFIELDHELPERS_EXPORT double | ForceFields::CrystalFF::calcTorsionEnergyM6 (const std::vector< double > &V, const std::vector< int > &signs, const double cosPhi)
| calculates and returns the torsional energy More...